
From: Jeff Dike <jdike@addtoit.com>

Prompted by Dave Mielke: This adds a comment explaining why we do not
define _XOPEN_SOURCE, even though the pread man page says you should.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/cow_user.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN arch/um/drivers/cow_user.c~uml-add-a-comment-explaining-pread-availability arch/um/drivers/cow_user.c
--- 25/arch/um/drivers/cow_user.c~uml-add-a-comment-explaining-pread-availability	2005-03-07 22:16:20.000000000 -0800
+++ 25-akpm/arch/um/drivers/cow_user.c	2005-03-07 22:16:20.000000000 -0800
@@ -1,6 +1,9 @@
 #include <stddef.h>
 #include <string.h>
 #include <errno.h>
+/* _XOPEN_SOURCE is needed for pread, but we define _GNU_SOURCE, which defines
+ * that.
+ */
 #include <unistd.h>
 #include <byteswap.h>
 #include <sys/time.h>
_
